import {Component, ElementRef, OnDestroy, OnInit, ViewChild} from "@angular/core";
import {AppComponent} from "./app.component";

@Component({
  selector: 'app-index',
  templateUrl: 'app.index.component.html',
  styleUrls: ['app.index.component.scss']
})
export class AppIndexComponent implements OnDestroy, OnInit {

  @ViewChild("land") landRef: ElementRef
  private tick;

  constructor(appComponent: AppComponent) {
    appComponent.setMain("land")
  }

  adjustScreen() {
    return this.landRef
  }

  startScreen() {
    this.tick = setTimeout(() => {
      window.requestAnimationFrame(() => this.adjustScreen());
      this.startScreen()
    }, 100)
  }

  ngOnDestroy(): void {
    if (this.tick != null)
      clearTimeout(this.tick)
  }

  ngOnInit(): void {
    this.startScreen();
  }

}
